#mega-menu-wrap-primary-menu,
#mega-menu-primary-menu {
  max-width: 100%;
  overflow-x: hidden;
}


.hidden {
    overflow: hidden;
}

.booking_trip-type {
    display: flex;
    gap: 20px;
    justify-content: center;
    margin-bottom: 15px;
    font-weight: 700;
}

.booking_trip-type label {
    display: flex;
    padding: 10px;
    position: relative;
    cursor: pointer;
    color: #1E83C4;
}

.booking_trip-type input[type="radio"] {
    display: none;
}


.booking_trip-type_line {
    display: none;
    height: 2px;
    width: 100%;
    background-color: #1E83C4;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}


.booking_trip-type input[type="radio"]:checked+.booking_trip-type_line {
    display: block;
}

.booking-step-1_wrapper form {
    display: flex;
    flex-direction: column;
    gap: 25px;
}
.booking-step-1_wrapper select {
    appearance: none;
    padding-left: 45px; /* додаємо місце для іконки зліва */
    padding-right: 30px; /* місце для стрілочки справа */
    height: 50px;
    background:
        url('data:image/svg+xml;utf8,<svg fill="%23BAADA3" height="20" width="20" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 297 297"><path d="M148.5,0C87.43,0,37.747,49.703,37.747,110.797c0,91.026,99.729,179.905,103.976,183.645c1.936,1.705,4.356,2.559,6.777,2.559c2.421,0,4.841-0.853,6.778-2.559c4.245-3.739,103.975-92.618,103.975-183.645C259.253,49.703,209.57,0,148.5,0z M148.5,79.693c16.964,0,30.765,13.953,30.765,31.104c0,17.151-13.801,31.104-30.765,31.104c-16.964,0-30.765-13.953-30.765-31.104C117.735,93.646,131.536,79.693,148.5,79.693z"/></svg>') no-repeat left 15px center,
        url('data:image/svg+xml;utf8,<svg fill="%231E83C4" height="24" width="24" xmlns="http://www.w3.org/2000/svg"><path d="M7 10l5 5 5-5z"/></svg>') no-repeat right 10px center;
    background-size: 20px 20px, 20px 20px; /* розміри обох SVG */
    font-size: 18px;
}


.booking-step-1_wrapper input {
    padding-left: 20px;
    transition: none;
    font-size: 18px;
}

.booking-step-1_wrapper .datepicker input[type="text"] {
    height: 50px;
    padding-left: 20px !important;
}

.booking-step-1_wrapper .datepicker .ui-datepicker-trigger{
    top: 17px;
    right: 11px;
}

.booking-step-1_button {
    width: 100%;
    padding: 15px;
    font-size: 15px;
    border-radius: 15px;
    background-color: #1E83C4;
    font-weight: 600;
    color: #ffffff;
    margin-top: 30px;
}



.cruise-schedules {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.booking_item_wrapper article>div {
    display: flex;
    gap: 20px;
}

.booking_item_wrapper>input[type="radio"] {
    display: none;
}

.booking_item {
    position: relative;
    border: 1px solid #baaca3;
    border-radius: 15px;
    overflow: hidden;
    background-color: transparent;
    transition: .3s;
    display: flex;
    gap: 20px;
}



.booking_item:hover {
    background-color: rgba(95, 200, 195, 0.1);
    border-color: #1E83C4;
}

.booking_item.active {
    background-color: rgba(95, 200, 195, 0.1);
    border-color: #1E83C4;
}

.booking_item_mask {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    opacity: 0;
    cursor: pointer;
    background-color: #1E83C4;
    z-index: 1;
}

.booking_item_info {
    position: absolute;
    right: 20px;
    top: 20px;
    width: 20px;
    height: 20px;
    background-color: #1E83C4;
    border-radius: 100px;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
}

.booking_item_info:hover,
.booking_item_info:focus {
    color: #fff;
}

.booking_item_info::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 100px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: #1E83C4;
    opacity: 0.5;
    transition: .3s;
    z-index: -1;
}

.booking_item_info:hover::before {
    width: 150%;
    height: 150%;
}

.booking_item figure {
    height: fit-content;
    display: flex;
}

.booking_item .details {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: 30px 20px 20px 0px;
}

.booking_item_content {
    padding: 20px 0;
    box-sizing: border-box;
    width: calc(100% - 370px);
    display: flex;
    flex-direction: column;
}

.booking_item_img {
    width: 300px;
    height: 200px;
}

.booking_item_img img {
    height: 100% !important;
    width: 100%;
    object-fit: cover;
}

.booking_item_title {
    font-weight: 700;
    font-size: 17px;
}

.booking_item_departure {
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-top: auto;
    margin-bottom: auto;
}

.booking_item_departure::before {
    position: absolute;
    width: calc(50% - 110px);
    left: 60px;
    top: 15px;
    content: "";
    border: 1px dashed #baaca3;
}

.booking_item_departure::after {
    position: absolute;
    width: calc(50% - 110px);
    right: 60px;
    top: 15px;
    content: "";
    border: 1px dashed #baaca3;
}

.booking_item_departure_time {
    font-weight: 700;
    font-size: 20px;
}

.booking_item_departure_time:last-child {
    text-align: right;
}

.booking_item_departure_duration{
    position: absolute;
    width: fit-content;
    transform: translateX(-50%);
    left: 50%;
    top: 6px;
    display: flex;
    align-items: center;
    gap: 5px;
}

.booking_item_departure_duration svg{
    width: 15px;
    height: 15px;
}


.booking_item_departure_location {
    font-size: 16px;
    font-weight: 400;
}

.booking_item_price {
    margin-left: auto;


}

.booking_item_price .price em {
    font-size: 20px;
    font-weight: 700;
    color: #1E83C4;
}

.page_booking_title {
    font-size: 24px;
    font-weight: 700;
    text-align: center;
    margin-bottom: 50px;
    margin-top: 50px;
}

.booking_button {
    background-color: #1E83C4;
    color: #ffffff;
    padding: 15px 30px;
    font-size: 15px;
    border-radius: 15px;
    background-color: #1E83C4;
    font-weight: 600;
}

.booking_button:hover{
        background: #196da1;
        
}

.booking_button_step_2 {
    margin-top: 50px;
    margin-left: auto;
    
}

.form-booking-step2 {
    display: flex;
    flex-direction: column;

}

.booking-steps-nav{
    width: calc(100% + 40px);
    position: relative;
    left: -20px;
    overflow-x: auto;
    padding: 0 20px;
    -ms-overflow-style: none;  /* IE і Edge */
    scrollbar-width: none;     /* Firefox */
    
}

.booking-steps-nav::-webkit-scrollbar {
    display: none; /* Chrome, Safari, Opera */
}

.booking-steps-nav .booking-steps {
    display: flex;
    gap: 12px;
    align-items: center;
    margin: 10px auto 20px;
    padding: 0;
    list-style: none;
    justify-content: center;
    width: fit-content;
}

.booking-steps .step {
    display: flex;
    align-items: center;
    gap: 10px;
}

.booking-steps .step > span{
    display: flex;
    align-items: center;
    gap: 5px;
}

/* .booking-steps .step:first-child{
    margin-left: 90px;
}

.booking-steps .step:last-child{
    margin-right: 20px;
} */

.booking-steps .dot {
    width: 32px;
    height: 32px;
    border-radius: 999px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    border: 2px solid #ddd;
    background: #f6f6f6
}

.booking-steps .label {
    font-weight: 600
}

.booking-steps .step.is-current .dot {
        border-color: #1E83C4;
    background: #fff;
}

.booking-steps .step.is-complete .dot {
    border-color: #1E83C4;
    background: #1E83C4;
}

.booking-steps .step.is-disabled {
    opacity: .5;
    pointer-events: none;
}

.booking-steps .sep {
    flex: 0 0 24px;
    height: 4px;
    padding: 0;
    background: #e5e7eb;
    border-radius: 2px;
    margin-bottom: 5px;
    
}

.booking-steps a {
    color: inherit;
    text-decoration: none;
        display: flex;
    align-items: center;
    gap: 5px;
}

.booking-steps .check {
    font-size: 14px;
    line-height: 1; 
    color: #fff;
}

.booking_passenger_item{
    position: relative;
    border: 1px solid #baaca3;
    border-radius: 15px;
    overflow: hidden;
    background-color: transparent;
    transition: .3s;
    display: flex;
    gap: 20px;
    padding: 20px;
    flex-wrap: wrap;
}

.booking_passenger_title{
    width: 100%;
    display: flex;
    align-items: center;
    gap: 5px;
    font-weight: 700;
}

.booking_passenger_title svg{
    width: 20px;
}

.booking_passengers_wrapper{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.booking_passenger_field{
    width: calc(50% - 10px);
}

.booking_passenger_field input[type="text"]{
    font-size: 14px;
    padding: 10px 20px !important;
    height: initial;
}

.remove-passenger-btn{
    position: absolute;
    right: 20px;
    top: 15px;
    background-color: #1E83C4;
    width: 30px;
    height: 30px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.remove-passenger-btn svg{
    width: 20px;
    height: 20px;
}

.booking_passenger_add{
    position: relative;
    border: 1px solid #baaca3 !important;
    border-radius: 15px;
    overflow: hidden;
    background-color: transparent;
    transition: .3s;
    display: flex;
    gap: 20px;
    padding: 20px;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
    font-weight: 700;
    margin-top: 20px;
    text-transform: initial !important;
}

.booking_passenger_add:hover{
        background-color: rgba(95, 200, 195, 0.1);
    border-color: #1E83C4 !important;
}

.booking-step4{
    display: flex;
    flex-direction: column;
}

.booking_button_step_3{
    width: fit-content;
    margin-top: 20px;
    margin-left: auto;
}

.transfer_variations_container .booking_item_content{
    width: calc(100% - 340px);
}

.transfer_variations_container .booking_item_departure::before {
    position: initial;
    width: calc(100% - 190px);
    height: 0;
    content: "";
    border: 1px dashed #baaca3;
    order: 2;
}

.transfer_variations_container .booking_item_departure::after{
    display: none;
}

.transfer_variations_container .booking_item_departure_time{
    width: 85px;
}

.transfer_variations_container .booking_item_departure_time_1{
    order: 1;
}

.transfer_variations_container .booking_item_departure_time_2{
    order: 3;
}

.transfer_variations_container .booking_item_departure{
    align-items: center;
}

.transfer_variations_container .booking_item_price{
    font-size: 20px;
    font-weight: 700;
    color: #1E83C4;
}

.booking_transfer_field_title{
    width: 100%;
    padding: 5px;
    background-color: #1E83C4;
    color: #fff;
    font-weight: 700;
    font-size: 20px;
}

.booking_transfer_field{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: 50px;
}

.booking_transfer_field label{
    font-size: 16px;
    max-width: initial;
}

.booking_transfer_select_wrapper{
    display: flex;
    flex-direction: column;
}

.booking_transfer_field select{
    border-radius: 10px;
}

.booking_transfer_wrapper{
    display: flex;
    flex-direction: column;
}

.transfer_variations_container{
    width: 100%;
}

.booking_item_max_people{
    font-size: 15px;
}

.loading-spinner {
    border: 4px solid #f3f3f3; /* світлий фон */
    border-top: 4px solid #1E83C4; /* синій */
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1s linear infinite;
    margin: 10px auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}



.header3 > .wrap{
    flex-wrap: nowrap !important;
}

.header3 .logo{
}

.header3 .main-nav{
    float: initial;
    order: 2;
    width: fit-content;
    height: initial;
    background: none;
    margin: 0 auto;
    display: flex;
    align-items: center;
    padding: 0 20px;
}

.header3 .main-nav > ul{
    width: fit-content;
    max-width: 100%;
    display: flex;
    align-items: center;
}

.header3 .contact{
    margin: 0;
    margin-left: 0 !important;
    
}



.header3 .main-nav li{
    line-height: 25px;
}

.header3 .main-nav li:last-child{
    padding-right: 0;
        /* display: flex;
    align-items: center; */
}

li.menu-item-gtranslate > div{
    top: -21px;
}

.header3 .main-nav li a{
    color: #3F3F3F;
    font-weight: 600;
    text-shadow: initial;
    position: relative;
    font-size: 12px;
}

.gt_float_switcher .gt_options a{
    min-width: 150px;
}


.header3 .main-nav li a::before{
    height: 1px;
    width: 0;
    position: absolute;
    content: "";
    left: 0;
    bottom: 0;
    background-color: #1E83C4;
    transition: .3s;
}

.header3 .main-nav li a:hover:before{
    width: 100%;
}

.header3 .main-nav ul ul{
    background: #fff;
    border: 1px solid #1E83C4;
    border-radius: 10px;
    top: calc(100% - 2px);
}

.burger-menu {
    display: none;
}

.header_mob{
    display: none;
}

.home .header3{
    /* background-color: transparent; */
    background-color: #fff;
    position: absolute;
}

.home .header3 .logo img {
    border-radius: 10px;
}

.home .header3 .main-nav li a{
    color: #3F3F3F;
}

.home .header3 .contact span{
    color: #3F3F3F;
    font-weight: 700;
}

.home .header3 .main-nav ul ul a{
    color: #3F3F3F;
}

.cruise-modal {
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.cruise-modal-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.6);
}

.cruise-modal-content {
  position: relative;
  background: #fff;
  max-width: 800px;
  width: 90%;
  max-height: 90vh;
  overflow-y: auto;
  padding: 20px;
  border-radius: 12px;
  z-index: 10;
}

.cruise-modal-close {
  position: absolute;
  top: 10px; right: 15px;
  font-size: 24px;
  border: none;
  background: none;
  cursor: pointer;
}

.cruise-modal-images img {
  max-width: 100%;
  margin: 10px 0;
  border-radius: 8px;
}

.cruise-modal-description{
    text-align: justify;
}

.cruise-modal-description ul{
    padding-left: 20px;
}


.wc-block-components-product-details__car{
    display: none;
}

.wc-block-components-order-summary-item__individual-prices{
    display: none !important;
}

.wc-block-components-order-summary-item.transfer-item .wc-block-components-product-name{
    display: none;
}

.wc-block-components-order-summary-item.transfer-item .wc-block-components-product-details li{
    list-style: none;
    font-weight: 400;
}

.wc-block-components-order-summary-item.transfer-item .wc-block-components-product-details li .wc-block-components-product-details__name{
    font-weight: 400;
}

.wc-block-components-order-summary-item.transfer-item .wc-block-components-product-details li:first-child{
    font-weight: 700;
}

.wc-block-components-order-summary-item.transfer-item .wc-block-components-product-details li:first-child .wc-block-components-product-details__name{
    font-weight: 700;
}


.wc-block-components-order-summary-item.transfer-item .wc-block-components-product-details{
    margin-left: 0 !important;
    margin-top: 0 !important;
}

.wc-block-components-order-summary-item.transfer-item .wc-block-components-product-metadata{
    margin-top: 0 !important;
}

.bookyourtravel-item .wc-block-components-order-summary-item__total-price{
    display: flex;
    align-items: flex-end;
}

.popular-routes .elementor-element{
    box-shadow: none !important;
}

.footer-sidebar.footer-columns{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.footer-columns .footer-col{
    width: calc(33.3333% - 10px);
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.fa {
  font-family: "FontAwesome" !important;
  font-weight: normal;
}



.payment-logos {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 20px;
  margin-top: 25px;
}

.payment-item {
  width: 80px;
  height: 50px;
  border: 1px solid #ddd;
  border-radius: 8px;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 2px 4px rgba(0,0,0,0.05);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}



.payment-item img {
  max-height: 28px;
  max-width: 70%;
  object-fit: contain;
}

@media (max-width: 600px) {
  .payment-logos {
    flex-wrap: wrap;
    gap: 15px;
  }
  .payment-item {
    width: 70px;
    height: 45px;
  }
  .payment-item img {
    max-height: 24px;
  }
}



/* ====== LINKS ====== */
footer .footer-col a {
  color: #454545;
  text-decoration: none;
  transition: color 0.2s ease;
}

footer .footer-col a:hover {
  color: #155a90;
}

/* ====== TITLES ====== */
footer .footer-col h4,
footer .footer-col h6 {
  font-size: 16px;
  font-weight: 600;
  color: #454545;
  margin-bottom: 15px;
}

/* ====== LISTS ====== */
footer .footer-col ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

footer .footer-col ul li {
  margin-bottom: 8px;
}

/* ====== CONTACT INFO ====== */
footer .BookYourTravel_Address_Widget p {
  display: flex;
  align-items: center;
  font-size: 14px;
  color: #454545;
  margin: 4px 0;
}

footer .BookYourTravel_Address_Widget i {
  font-size: 18px;
  color: #1e83c4;
  margin-right: 8px;
}

/* ====== SOCIAL ICONS ====== */

.social li a .fa{
    font-weight: 500;
}
footer .BookYourTravel_Social_Widget ul.social {
  display: flex;
  gap: 10px;
  padding: 0;
  margin-top: 10px;
}

footer .BookYourTravel_Social_Widget ul.social li a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background-color: #1e83c4;
  color: #45aaf6;
  transition: all 0.2s ease;
}

footer .BookYourTravel_Social_Widget ul.social li a:hover {
  background-color: #1e83c4;
  color: #fff;
}

/* ====== CURRENCY SWITCHER ====== */
footer .woocommerce-currency-switcher-form {
  margin-top: 15px;
}

footer .dd-select {
  background: #f0f5fa !important;
  border-radius: 6px;
}

/* ====== COPYRIGHT & BOTTOM ====== */
footer .copy {
  text-align: center;
  font-size: 13px;
  color: #7a8a9a;
  margin-top: 40px;
}

footer .menu-footer-menu-container {
  text-align: center;
  margin-top: 10px;
}

footer .menu-footer-menu-container ul {
  list-style: none;
  display: inline-flex;
  gap: 20px;
  padding: 0;
}

footer .menu-footer-menu-container ul li a {
  color: #1e83c4;
  font-size: 13px;
}

footer .menu-footer-menu-container ul li a:hover {
  text-decoration: underline;
}

/* ====== RESPONSIVE ====== */
@media (max-width: 900px) {
  footer .footer-sidebar.footer-columns {
    flex-direction: column;
    gap: 40px;
        padding: 20px 10px;
  }



  .footer-columns .footer-col{
    width: 100%;
  }
}


@media (max-width: 992px){
    .header3 > .wrap .main-nav{
        display: none;

    }

    .header3 > .wrap .contact{
        display: none;
    }

      .burger-menu {
        display: block;
        -webkit-tap-highlight-color: transparent;
        position: relative;
        width: 32px;
        height: 32px;
        cursor: pointer; 
        order: 2;
    }
    .burger-menu_line {
        width: 100%;
        height: 2px;
        background-color: #3F3F3F;
        position: absolute;
        left: 0;
        transition: .3s;
        will-change: transform, top, left;
    }


    .burger-menu_line-1 {
        top: calc(50% - 6px);
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .burger-menu_line-2 {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .burger-menu_line-3 {
        top: calc(50% + 6px);
        left: 50%;
        transform: translate(-50%, -50%);
    }



    .burger-menu.active .burger-menu_line-1 {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .burger-menu.active .burger-menu_line-2 {
        opacity: 0;
    }

    .burger-menu.active .burger-menu_line-3 {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    .header_mob {
        display: block;
        width: 100%;
        height: calc(100vh - 85px);
        opacity: 0;
        visibility: hidden;
        z-index: -100;
        position: absolute;
        top: 85px;
        left: 0;
        right: 0;
        transition: .3s;
        overflow-y: scroll;
        background-color: #ffffff;
    }

    .header_mob.active {
        opacity: 1;
        visibility: visible;
        z-index: 1;
    }

    .header_mob_wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 40px 20px;
        gap: 40px;
        text-align: center;
    }

    .header3{
        height: 95px;
    }

    .header3 .logo{
        padding: 0;
    }

    .header3 > .wrap{
        align-items: center;
    }

    .header3 .header_mob .contact{
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
        -webkit-box-flex: 0;
        -ms-flex: 0 1 200px;
        flex: 0 1 200px;
        padding: 0 0 0 40px;
    }

    .header3 .header_mob .contact:before {
        display: block;
    }

    .header3 .header_mob .contact span{
            display: block;
            width: 100%;
    }

    .header3 .main-nav > ul{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        flex-direction: column;
        align-items: center;
        gap: 10px 0;
    }

    .header3 .main-nav li {
        padding: 0;
    }

    .header3 .main-nav{
        padding: 0;
    }

    li.menu-item-gtranslate{
        margin-bottom: 20px;
    }

    li.menu-item-gtranslate > div{
        top: 0;
        left: -37px;
    }
    .home .burger-menu_line {
        background-color: #3F3F3F;
    }

    .home .header3.active .burger-menu_line{
        background-color: #3F3F3F;
    }

    .home .header3 .header_mob .main-nav li a {
        color: #3F3F3F;

    }

    .home .header3 .header_mob .contact span{
        color: #3F3F3F;
    }

    .home .header3{
        transition: .3s;
        padding-top: 5px;
    }

    .home .header3.active{
        background-color: #fff;
    }
}

@media (max-width: 767.98px){
    .booking_item{
        flex-wrap: wrap;
    }

    .booking_item_img{
        width: 100%;
        aspect-ratio: 16 / 9;
        height: initial;
    }

    .booking_item_content,  .transfer_variations_container .booking_item_content{
        width: 100%;
        padding: 0 20px 20px;
        gap: 20px;
    }

    .booking_passenger_field{
        width: 100%;
    }
}